#ifndef _QEMBED_1804289383
#define _QEMBED_1804289383
#include <qimage.h>
#include <qdict.h>
static const QRgb plus_data[] =
    {
        0xc5cad6,0xd5d8e2,0xd3d7e1,0xd3d7e1,0xd3d7e1,0xd1d6e1,0xc9ceda,0x0,0x0,0x0,0x9fa4b8,0xa2a8bc,0xa4aabe,0x7f8497,
        0xffffff,0xffffff,0xccd0dc,0xfefefe,0xfefefe,0xfefefe,0xfefefe,0xfdfdfd,0xf5f7fb,0x0,0x0,0x0,0xb8bdce,0x9ca3b7,
        0xa3aabe,0x7f8497,0xffffff,0xffffff,0xccd0dc,0xfefefe,0xfefefe,0xfefefe,0xfefefe,0xfefefe,0xf7f9fb,0x0,0x0,0x0,
        0xf8f8fb,0xc3c8d6,0xa8aec2,0x7d8397,0xffffff,0xffffff,0xccd0dc,0xfefefe,0xfefefe,0xfefefe,0xfefefe,0xfdfefe,0xf8f9fb,0xff303060,
        0xff303060,0x0,0xc5c9d1,0xbfc3ce,0x9a9fb2,0x7b8195,0xffffff,0xffffff,0xccd0dc,0xfefefe,0xfefefe,0xfefefe,0xfefefe,0xfdfefe,
        0xf9fbfc,0xff303060,0xff303060,0x0,0xaeb1c0,0x9ba0b2,0xa0a7b8,0x6f7585,0xffffff,0xffffff,0xccd0dc,0xfefefe,0xfefefe,0xfefefe,
        0xfefefe,0xfefefe,0xfbfcfd,0xff303060,0xff303060,0x0,0x0,0x0,0x0,0x6a6f7d,0xffffff,0xffffff,0x0,0x0,
        0x0,0x0,0x0,0x0,0x0,0xff303060,0xff303060,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
        0x0,0x0,0x0,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0x0,
        0x0,0x0,0x0,0x0,0x0,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,0xff303060,
        0xff303060,0x0,0x0,0x0,0xccd1dc,0xfefefe,0xf6f9fb,0xf7f9fb,0xf2f5f8,0xf1f2f7,0xeef1f7,0xff303060,0xff303060,0x0,
        0xe2e4ee,0xdee1ec,0xe3e7f2,0x6f7482,0xffffff,0xffffff,0xced1dc,0xfefefe,0xf2f5f9,0xf3f6f9,0xf2f5f8,0xf2f5f8,0xeef1f7,0xff303060,
        0xff303060,0x0,0xe3e7ee,0xe0e2ec,0xe6e8f2,0x6f7481,0xffffff,0xffffff,0xccd1dc,0xfefefe,0xf3f5f9,0xf5f6f9,0xf3f6f8,0xf2f3f8,
        0xeef1f7,0xff303060,0xff303060,0x0,0xe4e7f0,0xe1e3ed,0xe7e9f3,0x6f7482,0xffffff,0xffffff,0xccd1dc,0xfefefe,0xf3f5f9,0xf5f6f9,
        0xf3f6f8,0xf2f3f8,0xeef1f7,0xff303060,0xff303060,0x0,0xe4e7f0,0xe1e3ed,0xe7e9f3,0x6f7482,0xffffff,0xffffff,0xced1dc,0xfefefe,
        0xf2f3f9,0xf3f5f9,0xf3f5f8,0xf1f3f8,0xedf0f7,0x0,0x0,0x0,0x0,0xe1e2ed,0xe6e8f2,0x6f7481,0xffffff,0xffffff,
        0xccd0dc,0xfefefe,0xfefefe,0xfefefe,0xfefefe,0xfcfefe,0xf9fcfe,0x0,0x0,0x0,0x0,0xecedf6,0xf0f2fc,0x707582,
        0xffffff,0xffffff,0xbdc2ce,0x848791,0x868995,0x868995,0x858993,0x868995,0x858893,0x0,0x0,0x0,0x0,0x828591,
        0x838693,0x646775,0xffffff,0xffffff
    };

/* Generated by qembed */
static struct EmbedImage
{
	int width, height, depth;
	const unsigned char *data;
	int numColors;
	const QRgb *colorTable;
	bool alpha;
	const char *name;
}
embed_image_vec[] = {
                        { 16, 16, 32, (const unsigned char*)plus_data, 0, 0, TRUE, "plus" },
                        { 0, 0, 0, 0, 0, 0, 0, 0 }
                    };

static const QImage& qembed_findImage( const QString& name )
{
	static QDict<QImage> dict;
	QImage* img = dict.find( name );
	if ( !img )
	{
		for ( int i = 0; embed_image_vec[i].data; i++ )
		{
			if ( strcmp(embed_image_vec[i].name, name.latin1()) == 0 )
			{
				img = new QImage((uchar*)embed_image_vec[i].data,
				                 embed_image_vec[i].width,
				                 embed_image_vec[i].height,
				                 embed_image_vec[i].depth,
				                 (QRgb*)embed_image_vec[i].colorTable,
				                 embed_image_vec[i].numColors,
				                 QImage::BigEndian );
				if ( embed_image_vec[i].alpha )
					img->setAlphaBuffer( TRUE );
				dict.insert( name, img );
				break;
			}
		}
		if ( !img )
		{
			static QImage dummy;
			return dummy;
		}
	}
	return *img;
}

#endif
